ParameterGroup Class Reference

`#include <ParameterGroup.h>`

Inheritance diagram for ParameterGroup:

## Public Types

typedef vector< Parameter * >::iterator | iterator

## Public Member Functions

iterator | begin ()
iterator | end ()
| ParameterGroup ()
virtual | ~ParameterGroup ()
void | addParameter (Parameter *parameter)
void | obtainParameters (vector< Parameter * > &parameters)
virtual void | getValue (string &str) const

## Private Attributes

vector< Parameter * > | _parameters

## Detailed Description

Definition at line 23 of file ParameterGroup.h.

## Member Typedef Documentation

## iterator

typedef vector<Parameter*>::iterator ParameterGroup::iterator

Definition at line 25 of file ParameterGroup.h.

## Constructor & Destructor Documentation

## ParameterGroup()

ParameterGroup::ParameterGroup | ( |  | ) |

Definition at line 21 of file ParameterGroup.cpp.

## ~ParameterGroup()

ParameterGroup::~ParameterGroup | ( |  | ) |

virtual

Definition at line 24 of file ParameterGroup.cpp.

## Member Function Documentation

## addParameter()

void ParameterGroup::addParameter | ( | Parameter * | parameter | ) |

Definition at line 31 of file ParameterGroup.cpp.

## begin()

iterator ParameterGroup::begin | ( |  | ) |

inline

Definition at line 27 of file ParameterGroup.h.

## end()

iterator ParameterGroup::end | ( |  | ) |

inline

Definition at line 28 of file ParameterGroup.h.

## getValue()

void ParameterGroup::getValue | ( | string & | str | ) | const

virtual

Definition at line 27 of file ParameterGroup.cpp.

## obtainParameters()

void ParameterGroup::obtainParameters | ( | vector< Parameter * > & | parameters | ) |

Definition at line 37 of file ParameterGroup.cpp.

## Member Data Documentation

## _parameters

vector<Parameter*> ParameterGroup::_parameters

private

Definition at line 40 of file ParameterGroup.h.

The documentation for this class was generated from the following files:

- src/ParameterGroup.h
- src/ParameterGroup.cpp